Bug Hunting Session
Bug 46508 - Turn off Online Update feature by silent install
Summary: Turn off Online Update feature by silent install
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Windows (All)
: low enhancement
Assignee: Andras Timar
URL:
Whiteboard: target:3.6.0 target:3.5.2
Keywords:
Depends on:
Blocks: Win-Installer-MAB mab3.5
  Show dependency treegraph
 
Reported: 2012-02-23 04:50 UTC by Andras Timar
Modified: 2013-02-04 17:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-02-23 04:50:00 UTC
ISCHECKFORPRODUCTUPDATES seems to be deprecated and doesn't work
anymore - how do we turn off Online Update / Check for Updates?
Comment 1 Andras Timar 2012-02-26 01:28:55 UTC
You can disable Online Update Feature with REMOVE=gm_o_Onlineupdate command line option of msiexec. We could connect it to the yet unused ISCHECKFORPRODUCTUPDATES in the future, because it is more or less an indusytry standard property for this type feature.
Comment 2 Not Assigned 2012-03-06 07:19:28 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ce699f0c82d5bfd629c22be0747bbe3b851a9fd

fdo#46508 use ISCHECKFORPRODUCTUPDATES property for online update
Comment 3 Timur 2012-03-06 07:26:29 UTC
Thank you. It will appear in version 3.6.0?
Comment 4 Not Assigned 2012-03-08 04:03:09 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d66344d7c79d698317194b19ccbb951844954c81&g=libreoffice-3-5

fdo#46508 use ISCHECKFORPRODUCTUPDATES property for online update


It will be available in LibreOffice 3.5.2.